# SoSFVec4f Class Reference
[Field classes]

`#include <Inventor/fields/SoSFVec4f.h>`

Inheritance diagram for SoSFVec4f:

List of all members.

## Detailed Description

The SoSFVec4f class is a container for an SbVec4f vector.

This field is used where nodes, engines or other field containers needs to store a single vector with four elements.

See also:
  SoMFVec4f

## Public Member Functions

void | setValue (const float x, const float y, const float z, const float w)
void | setValue (const float xyzw[4])

## Static Public Member Functions

void | initClass (void)

## Member Function Documentation

void SoSFVec4f::initClass | ( | void |  | ) | `[static]`

| Internal method called upon initialization of the library (from SoDB::init()) to set up the type system. Reimplemented from SoSField.

void SoSFVec4f::setValue | ( | const float | x,
|  | const float | y,
|  | const float | z,
|  | const float | w
| ) |

| Set value of vector.

void SoSFVec4f::setValue | ( | const float | xyzw[4] | ) |

| Set value of vector.

The documentation for this class was generated from the following files:

- SoSFVec4f.h
- SoSFVec4f.cpp